PDA

View Full Version : Is pr3 backwards compatible with 1.1?



profunctional
19 Jan 2012, 4:20 AM
Tried to migrate 1.1 to pr1 and it was horrible. Is pr3 any better?

estesbubba
19 Jan 2012, 6:59 AM
Going from 1.1 to 2.0 will require some migration. The class system, MVC, and other architecture is different. This article might help:

http://www.sencha.com/learn/upgrading-to-sencha-touch-2-pr2/

mitchellsimoens
19 Jan 2012, 7:05 AM
We will be coming out with a tutorial/guide about migration as we move towards GA release. Either way, you can't just simply slap ST2 in with ST1 code and vice-versa.